Bug 1399167 (CVE-2016-8654) - CVE-2016-8654 jasper: heap-based buffer overflow in QMFB code in JPC codec
Summary: CVE-2016-8654 jasper: heap-based buffer overflow in QMFB code in JPC codec
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-8654
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1399169 1399171 1399168 1399170 1439171 1439172 1439173 1439174
Blocks: 1314477
TreeView+ depends on / blocked
 
Reported: 2016-11-28 13:30 UTC by Adam Mariš
Modified: 2019-09-29 14:00 UTC (History)
27 users (show)

Fixed In Version: jasper 2.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-09 21:44:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1208 normal SHIPPED_LIVE Important: jasper security update 2017-05-09 21:13:57 UTC

Description Adam Mariš 2016-11-28 13:30:40 UTC
A heap-buffer overflow vulnerability was found in QMFB code in JPC codec caused by buffer being allocated with too small size.

Upstream bugs:

https://github.com/mdadams/jasper/issues/93
https://github.com/mdadams/jasper/issues/94

Upstream patch:

https://github.com/mdadams/jasper/commit/4a59cfaf9ab3d48fca4a15c0d2674bf7138e3d1a

Comment 1 Adam Mariš 2016-11-28 13:31:10 UTC
Acknowledgments:

Name: Liu Bingchang (IIE)

Comment 2 Adam Mariš 2016-11-28 13:32:08 UTC
Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 1399169]
Affects: epel-7 [bug 1399171]

Comment 3 Adam Mariš 2016-11-28 13:32:26 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1399168]
Affects: epel-5 [bug 1399170]

Comment 4 errata-xmlrpc 2017-05-09 17:20:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1208 https://access.redhat.com/errata/RHSA-2017:1208


Note You need to log in before you can comment on or make changes to this bug.